#ifndef PANELSELECTIONDIALOG_H
#define PANELSELECTIONDIALOG_H

#include <QDialog>
#include "dataPanel/dpGlobals.h"

QT_BEGIN_NAMESPACE
namespace Ui {
class panelSelectionDialog;
}
QT_END_NAMESPACE

class PanelSelectionDialog : public QDialog
{
    Q_OBJECT

public:
    PanelSelectionDialog(QWidget *parent = nullptr);
    ~PanelSelectionDialog();

protected:
    //void showEvent(QShowEvent*);

signals:
    void panelType(DataPanelType);
    void sgl_hide();

public slots:
    void onBtnClicked_confirm();
    void onBtnClicked_cancle();

private:
    void initList();

    Ui::panelSelectionDialog*  ui;
};

#endif
